package com.yonge.cooleshow.biz.dal.vo;

import com.yonge.cooleshow.common.entity.BaseEntity;
import com.yonge.cooleshow.common.enums.YesOrNoEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;

/**
 * @Description: 视频课学员评价
 * @Author: cy
 * @Date: 2022/4/11
 */
@ApiModel(value = "VideoLessonEvaluateVo-视频课学员评价")
public class VideoLessonEvaluateVo extends BaseEntity {
	private String realName;

    @ApiModelProperty(value = "用户id")
    private Long userId;

	@ApiModelProperty(value = "用户名")
	private String userName;

	@ApiModelProperty(value = "头像地址")
	private String avatar;

	@ApiModelProperty(value = "是否为老师 0:否 1:是")
	private YesOrNoEnum isTeacher;

    @ApiModelProperty(value = "评论id")
    private Long evaluateId;

	@ApiModelProperty(value = "评价内容")
	private String content;

    @ApiModelProperty(value = "评论时间")
    private Date evaluateTime;

	public String getRealName() {
		return realName;
	}

	public void setRealName(String realName) {
		this.realName = realName;
	}

	public Long getUserId() {
		return userId;
	}

	public void setUserId(Long userId) {
		this.userId = userId;
	}

	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}

	public String getAvatar() {
		return avatar;
	}

	public void setAvatar(String avatar) {
		this.avatar = avatar;
	}

	public YesOrNoEnum getIsTeacher() {
		return isTeacher;
	}

	public void setIsTeacher(YesOrNoEnum isTeacher) {
		this.isTeacher = isTeacher;
	}

	public Long getEvaluateId() {
		return evaluateId;
	}

	public void setEvaluateId(Long evaluateId) {
		this.evaluateId = evaluateId;
	}

	public String getContent() {
		return content;
	}

	public void setContent(String content) {
		this.content = content;
	}

	public Date getEvaluateTime() {
		return evaluateTime;
	}

	public void setEvaluateTime(Date evaluateTime) {
		this.evaluateTime = evaluateTime;
	}
}